package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

import cn.hmsoft.frame.constants.FrameSeqName;
import cn.hmsoft.jdbc.entity.Table;
//import io.swagger.annotations.ApiModel;

/**********************************************
 * 系统表-操作员信息
 * 
 * @author: zxq
 * @date: 2018-06-27 09:57:20
 * @version: 5.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "FRAME_OPTR", keyColumn = "OPTR_ID", sequenceName = FrameSeqName.FrameOptrId)
public class FrameOptr implements Serializable {
	private static final long serialVersionUID = 5786200346190393031L;
	//内部编号
	private Integer optr_id;
	//操作员名称
	private String optr_name;
	//登录名称，唯一
	private String login_name;
	//登录密码,MD5加密
	private String login_pass;
	//别名
	private String optr_alias;
	//操作员性别，FrameSex
	private String optr_sex;
	//操作员状态，对应FrameStatus
	private String optr_status;
	//电子邮件地址
	private String optr_email;
	//联系电话
	private String optr_mobile;
	//办公电话
	private String optr_tel;
	//联系地址
	private String optr_addr;
	//传真号码
	private String optr_fax;
	//部分编号
	private Integer optr_dept;
	//邮政编码
	private String optr_post;
	//操作员级别
	private String optr_level;
	//操作员备注信息
	private String optr_desc;
	//创建人操作员
	private Integer create_optr;
	//创建时间
	private LocalDateTime create_time;
	//操作员照片
	private String optr_image;

	/****
	 * 内部编号
	 */
	public Integer getOptr_id() {
		return this.optr_id;
	}

	/****
	 * 内部编号
	 */
	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}

	/****
	 * 操作员名称
	 */
	public String getOptr_name() {
		return this.optr_name;
	}

	/****
	 * 操作员名称
	 */
	public void setOptr_name(String optr_name) {
		this.optr_name = optr_name;
	}

	/****
	 * 登录名称，唯一
	 */
	public String getLogin_name() {
		return this.login_name;
	}

	/****
	 * 登录名称，唯一
	 */
	public void setLogin_name(String login_name) {
		this.login_name = login_name;
	}

	/****
	 * 登录密码,MD5加密
	 */
	public String getLogin_pass() {
		return this.login_pass;
	}

	/****
	 * 登录密码,MD5加密
	 */
	public void setLogin_pass(String login_pass) {
		this.login_pass = login_pass;
	}

	/****
	 * 别名
	 */
	public String getOptr_alias() {
		return this.optr_alias;
	}

	/****
	 * 别名
	 */
	public void setOptr_alias(String optr_alias) {
		this.optr_alias = optr_alias;
	}

	/****
	 * 操作员性别，FrameSex
	 */
	public String getOptr_sex() {
		return this.optr_sex;
	}

	/****
	 * 操作员性别，FrameSex
	 */
	public void setOptr_sex(String optr_sex) {
		this.optr_sex = optr_sex;
	}

	/****
	 * 操作员状态，对应FrameStatus
	 */
	public String getOptr_status() {
		return this.optr_status;
	}

	/****
	 * 操作员状态，对应FrameStatus
	 */
	public void setOptr_status(String optr_status) {
		this.optr_status = optr_status;
	}

	/****
	 * 电子邮件地址
	 */
	public String getOptr_email() {
		return this.optr_email;
	}

	/****
	 * 电子邮件地址
	 */
	public void setOptr_email(String optr_email) {
		this.optr_email = optr_email;
	}

	/****
	 * 联系电话
	 */
	public String getOptr_mobile() {
		return this.optr_mobile;
	}

	/****
	 * 联系电话
	 */
	public void setOptr_mobile(String optr_mobile) {
		this.optr_mobile = optr_mobile;
	}

	/****
	 * 办公电话
	 */
	public String getOptr_tel() {
		return this.optr_tel;
	}

	/****
	 * 办公电话
	 */
	public void setOptr_tel(String optr_tel) {
		this.optr_tel = optr_tel;
	}

	/****
	 * 联系地址
	 */
	public String getOptr_addr() {
		return this.optr_addr;
	}

	/****
	 * 联系地址
	 */
	public void setOptr_addr(String optr_addr) {
		this.optr_addr = optr_addr;
	}

	/****
	 * 传真号码
	 */
	public String getOptr_fax() {
		return this.optr_fax;
	}

	/****
	 * 传真号码
	 */
	public void setOptr_fax(String optr_fax) {
		this.optr_fax = optr_fax;
	}

	/****
	 * 部分编号
	 */
	public Integer getOptr_dept() {
		return this.optr_dept;
	}

	/****
	 * 部分编号
	 */
	public void setOptr_dept(Integer optr_dept) {
		this.optr_dept = optr_dept;
	}

	/****
	 * 邮政编码
	 */
	public String getOptr_post() {
		return this.optr_post;
	}

	/****
	 * 邮政编码
	 */
	public void setOptr_post(String optr_post) {
		this.optr_post = optr_post;
	}

	/****
	 * 操作员级别
	 */
	public String getOptr_level() {
		return this.optr_level;
	}

	/****
	 * 操作员级别
	 */
	public void setOptr_level(String optr_level) {
		this.optr_level = optr_level;
	}

	/****
	 * 操作员备注信息
	 */
	public String getOptr_desc() {
		return this.optr_desc;
	}

	/****
	 * 操作员备注信息
	 */
	public void setOptr_desc(String optr_desc) {
		this.optr_desc = optr_desc;
	}

	/****
	 * 创建人操作员
	 */
	public Integer getCreate_optr() {
		return this.create_optr;
	}

	/****
	 * 创建人操作员
	 */
	public void setCreate_optr(Integer create_optr) {
		this.create_optr = create_optr;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 操作员照片
	 */
	public String getOptr_image() {
		return this.optr_image;
	}

	/****
	 * 操作员照片
	 */
	public void setOptr_image(String optr_image) {
		this.optr_image = optr_image;
	}

	/********************
	 * 操作员的资源权限树
	 */
	protected Map<Integer, Integer> resMap;
	/********************
	 * 该操作员允许的后台线程数量
	 */
	protected Integer thread_max = 0;

	/********************
	 * 操作员的资源权限树
	 */
	public Map<Integer, Integer> getResMap() {
		return resMap;
	}

	/********************
	 * 操作员的资源权限树
	 */
	public void setResMap(Map<Integer, Integer> resMap) {
		this.resMap = resMap;
	}

	/********************
	 * 该操作员允许的后台线程数量
	 */
	public Integer getThread_max() {
		return thread_max;
	}

	/********************
	 * 该操作员允许的后台线程数量
	 */
	public void setThread_max(Integer thread_max) {
		this.thread_max = thread_max;
	}

}
